## zabbix 7.0.9+dfsg

=== include/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# include/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/zabbix
pkgincludedir = $(includedir)/zabbix
pkglibdir = $(libdir)/zabbix
pkglibexecdir = $(libexecdir)/zabbix
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = include
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_lib_mysql.m4 \
	$(top_srcdir)/m4/ax_lib_oracle_oci.m4 \
	$(top_srcdir)/m4/ax_lib_postgresql.m4 \
	$(top_srcdir)/m4/ax_lib_sqlite3.m4 \
	$(top_srcdir)/m4/check_enum.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/ldap.m4 $(top_srcdir)/m4/libcurl.m4 \
	$(top_srcdir)/m4/libevent.m4 $(top_srcdir)/m4/libgnutls.m4 \
	$(top_srcdir)/m4/libmodbus.m4 $(top_srcdir)/m4/libopenssl.m4 \
	$(top_srcdir)/m4/libssh.m4 $(top_srcdir)/m4/libssh2.m4 \
	$(top_srcdir)/m4/libunixodbc.m4 $(top_srcdir)/m4/libxml2.m4 \
	$(top_srcdir)/m4/netsnmp.m4 $(top_srcdir)/m4/openipmi.m4 \
	$(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pcre2.m4 \
	$(top_srcdir)/m4/pthread.m4 $(top_srcdir)/m4/resolv.m4 \
	$(top_srcdir)/m4/times.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/common/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' aclocal-1.16
AGENT2_CONFIG_DIR = ${prefix}/etc/zabbix_agent2.d
AGENT2_CONFIG_FILE = ${prefix}/etc/zabbix_agent2.conf
AGENT2_LDFLAGS =    
AGENT2_LIBS =    
AGENT2_PLUGIN_CONFIG_DIR = ${prefix}/etc/zabbix_agent2.d/plugins.d
AGENT_CONFIG_FILE = ${prefix}/etc/zabbix_agentd.conf
AGENT_LDFLAGS =      
AGENT_LIBS =      
ALERT_SCRIPTS_PATH = ${datarootdir}/zabbix/alertscripts
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ARCH = linux
AUTOCONF = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' autoconf
AUTOHEADER = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' autoheader
AUTOMAKE = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' automake-1.16
AWK = mawk
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -O2
CGO_CFLAGS = 
CGO_LDFLAGS = 
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CURL_SSL_CERT_LOCATION = ${datarootdir}/zabbix/ssl/certs
CURL_SSL_KEY_LOCATION = ${datarootdir}/zabbix/ssl/keys
CYGPATH_W = echo
DB_CFLAGS = 
DB_LDFLAGS = 
DB_LIBS = 
DEFAULT_INCLUDES = -I$(top_srcdir)/include/common -I$(top_srcdir)/include
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
EXTERNAL_SCRIPTS_PATH = ${datarootdir}/zabbix/externalscripts
GNUTLS_CFLAGS = 
GNUTLS_LDFLAGS = 
GNUTLS_LIBS = 
GO = 
GREP = /usr/bin/grep
ICONV_CFLAGS = 
ICONV_LDFLAGS = 
ICONV_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = 
JAVAC = 
LDAP_CPPFLAGS = 
LDAP_LDFLAGS = 
LDAP_LIBS = 
LDFLAGS = -rdynamic  
LIBCURL_CFLAGS = 
LIBCURL_LDFLAGS = 
LIBCURL_LIBS = 
LIBEVENT_CFLAGS = 
LIBEVENT_LDFLAGS = 
LIBEVENT_LIBS = 
LIBMODBUS_CFLAGS = 
LIBMODBUS_LDFLAGS = 
LIBMODBUS_LIBS = 
LIBOBJS = 
LIBPCRE2_CFLAGS = 
LIBPCRE2_LDFLAGS = 
LIBPCRE2_LIBS = 
LIBPCRE_CFLAGS = 
LIBPCRE_LDFLAGS = 
LIBPCRE_LIBS = 
LIBPTHREAD_CFLAGS = 
LIBPTHREAD_LDFLAGS = 
LIBPTHREAD_LIBS = 
LIBS = -lpthread -lm   
LIBXML2_CFLAGS = 
LIBXML2_LDFLAGS = 
LIBXML2_LIBS = 
LIBXML2_VERSION = 
LOAD_MODULE_PATH = ${exec_prefix}/lib/modules
LTLIBOBJS = 
MAKEINFO = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' makeinfo
MKDIR_P = /usr/bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_CONFIG = 
MYSQL_LDFLAGS = 
MYSQL_LIBS = 
MYSQL_VERSION = 
OBJEXT = o
ODBC_CONFIG = 
OPENIPMI_CFLAGS = 
OPENIPMI_LDFLAGS = 
OPENIPMI_LIBS = 
OPENSSL_CFLAGS = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = 
ORACLE_OCI_CFLAGS = 
ORACLE_OCI_LDFLAGS = 
ORACLE_OCI_LIBS = 
ORACLE_OCI_VERSION = 
PACKAGE = zabbix
PACKAGE_BUGREPORT = 
PACKAGE_NAME = Zabbix
PACKAGE_STRING = Zabbix 7.0.9
PACKAGE_TARNAME = zabbix
PACKAGE_URL = 
PACKAGE_VERSION = 7.0.9
PATH_SEPARATOR = :
PG_CONFIG = 
PKG_CONFIG = 
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSTGRESQL_CFLAGS = 
POSTGRESQL_LDFLAGS = 
POSTGRESQL_LIBS = 
POSTGRESQL_VERSION = 
PROXY_CONFIG_FILE = ${prefix}/etc/zabbix_proxy.conf
PROXY_LDFLAGS =      
PROXY_LIBS =      
RANLIB = ranlib
RESOLV_LIBS = 
SENDER_LDFLAGS =      
SENDER_LIBS =      
SERVER_CONFIG_FILE = ${prefix}/etc/zabbix_server.conf
SERVER_LDFLAGS =      
SERVER_LIBS =      
SET_MAKE = 
SHELL = /bin/bash
SNMP_CFLAGS = 
SNMP_LDFLAGS = 
SNMP_LIBS = 
SQLITE3_CPPFLAGS = 
SQLITE3_LDFLAGS = 
SQLITE3_LIBS = 
SQLITE3_VERSION = 
SSH2_CFLAGS = 
SSH2_LDFLAGS = 
SSH2_LIBS = 
SSH_CFLAGS = 
SSH_LDFLAGS = 
SSH_LIBS = 
STRIP = 
TLS_CFLAGS = 
TLS_LDFLAGS = 
TLS_LIBS = 
UNIXODBC_CFLAGS = 
UNIXODBC_LDFLAGS = 
UNIXODBC_LIBS = 
VERSION = 7.0.9
WEBSERVICE_CONFIG_FILE = ${prefix}/etc/zabbix_web_service.conf
ZBXGET_LDFLAGS =      
ZBXGET_LIBS =      
ZBXJS_LDFLAGS =   
ZBXJS_LIBS =     
ZLIB_CFLAGS = 
ZLIB_LDFLAGS = 
ZLIB_LIBS = 
_libcurl_config = no
_libnetsnmp_config = 
_libnetsnmp_config_bin = 
_libnetsnmp_config_root = 
abs_builddir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/include
abs_srcdir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/include
abs_top_builddir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9
abs_top_srcdir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9
ac_ct_CC = cc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu include/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu include/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \

=== build/mingw/Makefile ===
.ONESHELL:

SHELL := cmd
BUILDDIR := $(subst /,\,$(CURDIR))
TOPDIR := $(BUILDDIR)\..\..
OUTPUTDIR := output

MODULEDIR = $(TOPDIR)\src\go
TARGETDIR = $(TOPDIR)\src\go\cmd\zabbix_agent2
TARGETPKG=golang.zabbix.com/agent2/cmd/zabbix_agent2

CC = gcc
WINDRES = windres.exe

OBJS = \
	$(OUTPUTDIR)\bincommon.o \
	$(OUTPUTDIR)\threads.o \
	$(OUTPUTDIR)\interval.o \
	$(OUTPUTDIR)\num.o \
	$(OUTPUTDIR)\str.o \
	$(OUTPUTDIR)\common_str.o \
	$(OUTPUTDIR)\common_log.o \
	$(OUTPUTDIR)\components_strings_representations.o \
	$(OUTPUTDIR)\libc_wrappers.o \
	$(OUTPUTDIR)\param.o \
	$(OUTPUTDIR)\misc.o \
	$(OUTPUTDIR)\time.o \
	$(OUTPUTDIR)\expr.o \
	$(OUTPUTDIR)\host.o \
	$(OUTPUTDIR)\macro.o \
	$(OUTPUTDIR)\function.o \
	$(OUTPUTDIR)\token.o \
	$(OUTPUTDIR)\fatal.o \
	$(OUTPUTDIR)\disk.o \
	$(OUTPUTDIR)\ip.o \
	$(OUTPUTDIR)\iprange.o \
	$(OUTPUTDIR)\zbxhash.o \
	$(OUTPUTDIR)\md5.o \
	$(OUTPUTDIR)\sysinfo.o \
	$(OUTPUTDIR)\vector.o \
	$(OUTPUTDIR)\hashset.o \
	$(OUTPUTDIR)\zbxregexp.o \
	$(OUTPUTDIR)\persistent_state.o \
	$(OUTPUTDIR)\logfiles.o \
	$(OUTPUTDIR)\file.o \
	$(OUTPUTDIR)\algodefs.o \
	$(OUTPUTDIR)\json.o \
	$(OUTPUTDIR)\json_parser.o \
	$(OUTPUTDIR)\jsonpath.o \
	$(OUTPUTDIR)\jsonobj.o \
	$(OUTPUTDIR)\sha256crypt.o \
	$(OUTPUTDIR)\variant.o \
	$(OUTPUTDIR)\sysinfo_system.o \
	$(OUTPUTDIR)\sysinfo_dns.o \
	$(OUTPUTDIR)\sysinfo_ip_reverse.o \
	$(OUTPUTDIR)\sysinfo_vfs_file.o \
	$(OUTPUTDIR)\sysinfo_dir.o \
	$(OUTPUTDIR)\sysinfo_alias.o \
	$(OUTPUTDIR)\eventlog.o \
	$(OUTPUTDIR)\process_eventslog.o \
	$(OUTPUTDIR)\process_eventslog6.o \
	$(OUTPUTDIR)\symbols.o \
	$(OUTPUTDIR)\win32_file.o \
	$(TARGETDIR)\resource.syso

CFLAGS := $(CFLAGS) -O2 -g -DHAVE_STDINT_H=1 -DZBX_BUILD_AGENT2=1  -DHAVE_THREAD_LOCAL=1 \
	-I$(TOPDIR)\build\win32\include\common -I$(TOPDIR)\build\mingw -I$(TOPDIR)\include -I$(TOPDIR)\include\common

RFLAGS := $(RFLAGS) --input-format=rc -O coff
GOPATH := $(GOPATH);$(TOPDIR)\go
TAGS :=

ifeq ("$(ARCH)", "")
	ARCH := $(PROCESSOR_ARCHITECTURE)
endif

ifeq ("$(ARCH)", "x86")
	CFLAGS := $(CFLAGS) -m32
	CGO_CFLAGS := $(CGO_CFLAGS) -m32
	GOARCH := 386
	TARGETBIN=$(TOPDIR)\bin\win32\zabbix_agent2.exe
	RFLAGS := $(RFLAGS) --target=pe-i386

else
	TARGETBIN=$(TOPDIR)\bin\win64\zabbix_agent2.exe
	GOARCH := amd64
	RFLAGS := $(RFLAGS) --target=pe-x86-64
endif

ifneq ("$(OPENSSL)", "")
	CFLAGS := $(CFLAGS) -DHAVE_OPENSSL=1 -DHAVE_OPENSSL_WITH_PSK=1
	ifneq (,$(wildcard $(OPENSSL)))
		CFLAGS := $(CFLAGS) -I$(OPENSSL)\include
		LDFLAGS := $(LDFLAGS) -L$(OPENSSL)\lib
		TAGS += openssl
		OBJS += $(OUTPUTDIR)\tls_version.o
	endif
endif

ifneq ("$(PCRE)", "")
	CFLAGS := $(CFLAGS) -DPCRE_STATIC -I$(PCRE)\include -DHAVE_PCRE_H=1
	LDFLAGS := $(LDFLAGS) -L$(PCRE)\lib
	TAGS := $(TAGS) pcre
endif

ifneq ("$(PCRE2)", "")
	CFLAGS := $(CFLAGS) -DPCRE2_STATIC -I$(PCRE2)\include -DHAVE_PCRE2_H=1
	LDFLAGS := $(LDFLAGS) -L$(PCRE2)\lib
	TAGS := $(TAGS) pcre2
endif

CGO_CFLAGS += $(CFLAGS)
CGO_LDFLAGS += $(LDFLAGS)

PKG=golang.zabbix.com/agent2/pkg/version

GOLDFLAGS = -X $(PKG).compileOs=windows
GOLDFLAGS += -X $(PKG).compileArch=$(GOARCH)
GOLDFLAGS += -X main.confDefault=zabbix_agent2.win.conf
GOLDFLAGS += -X main.applicationName=zabbix_agent2

all: $(TARGETBIN)

$(OUTPUTDIR)\bincommon.o: $(TOPDIR)\src\libs\zbxbincommon\bincommon.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\misc.o: $(TOPDIR)\src\libs\zbxcommon\misc.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\ip.o: $(TOPDIR)\src\libs\zbxip\ip.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\iprange.o: $(TOPDIR)\src\libs\zbxip\iprange.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\num.o: $(TOPDIR)\src\libs\zbxnum\num.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\str.o: $(TOPDIR)\src\libs\zbxstr\str.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\common_str.o: $(TOPDIR)\src\libs\zbxcommon\common_str.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\common_log.o: $(TOPDIR)\src\libs\zbxcommon\common_log.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\file.o: $(TOPDIR)\src\libs\zbxfile\file.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\symbols.o: $(TOPDIR)\src\libs\zbxwin32\symbols.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\win32_file.o: $(TOPDIR)\src\libs\zbxfile\win32\win32_file.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\time.o: $(TOPDIR)\src\libs\zbxtime\time.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\expr.o: $(TOPDIR)\src\libs\zbxexpr\expr.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\host.o: $(TOPDIR)\src\libs\zbxexpr\host.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\macro.o: $(TOPDIR)\src\libs\zbxexpr\macro.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\function.o: $(TOPDIR)\src\libs\zbxexpr\function.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\interval.o: $(TOPDIR)\src\libs\zbxexpr\interval.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\token.o: $(TOPDIR)\src\libs\zbxexpr\token.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\components_strings_representations.o: $(TOPDIR)\src\libs\zbxcommon\components_strings_representations.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\libc_wrappers.o: $(TOPDIR)\src\libs\zbxcommon\libc_wrappers.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\param.o: $(TOPDIR)\src\libs\zbxparam\param.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\tls_version.o: $(TOPDIR)\src\libs\zbxcomms\tls_version.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\fatal.o: $(TOPDIR)\src\libs\zbxwin32\fatal.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\disk.o: $(TOPDIR)\src\libs\zbxwin32\disk.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\threads.o: $(TOPDIR)\src\libs\zbxthreads\threads.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\zbxhash.o: $(TOPDIR)\src\libs\zbxhash\zbxhash.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\md5.o: $(TOPDIR)\src\libs\zbxhash\md5.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\json_parser.o: $(TOPDIR)\src\libs\zbxjson\json_parser.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\jsonpath.o: $(TOPDIR)\src\libs\zbxjson\jsonpath.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\jsonobj.o: $(TOPDIR)\src\libs\zbxjson\jsonobj.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\sha256crypt.o: $(TOPDIR)\src\libs\zbxhash\sha256crypt.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\variant.o: $(TOPDIR)\src\libs\zbxvariant\variant.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\json.o: $(TOPDIR)\src\libs\zbxjson\json.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\sysinfo.o: $(TOPDIR)\src\libs\zbxsysinfo\sysinfo.c
	$(CC) $(CFLAGS) -DUNICODE -DWITH_COMMON_METRICS -c $^ -o $@

$(OUTPUTDIR)\sysinfo_system.o: $(TOPDIR)\src\libs\zbxsysinfo\common\system.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo_ip_reverse.o: $(TOPDIR)\src\libs\zbxsysinfo\common\ip_reverse.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo_dns.o: $(TOPDIR)\src\libs\zbxsysinfo\common\dns.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo_vfs_file.o: $(TOPDIR)\src\libs\zbxsysinfo\common\vfs_file.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo_dir.o: $(TOPDIR)\src\libs\zbxsysinfo\common\dir.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\sysinfo_alias.o: $(TOPDIR)\src\libs\zbxsysinfo\alias\alias.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\vector.o: $(TOPDIR)\src\libs\zbxalgo\vector.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\hashset.o: $(TOPDIR)\src\libs\zbxalgo\hashset.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\version.o: $(TOPDIR)\src\libs\zbxversion\version.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\algodefs.o: $(TOPDIR)\src\libs\zbxalgo\algodefs.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\zbxregexp.o: $(TOPDIR)\src\libs\zbxregexp\zbxregexp.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\active_checks.o: $(TOPDIR)\src\zabbix_agent\active_checks\active_checks.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\eventlog.o: $(TOPDIR)\src\zabbix_agent\active_checks\eventlog_win32\eventlog.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\process_eventslog.o: $(TOPDIR)\src\zabbix_agent\active_checks\eventlog_win32\process_eventslog.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\process_eventslog6.o: $(TOPDIR)\src\zabbix_agent\active_checks\eventlog_win32\process_eventslog6.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\persistent_state.o: $(TOPDIR)\src\zabbix_agent\logfiles\persistent_state.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(OUTPUTDIR)\logfiles.o: $(TOPDIR)\src\zabbix_agent\logfiles\logfiles.c
	$(CC) $(CFLAGS) -DUNICODE -c $^ -o $@

$(TARGETDIR)\resource.syso: $(TOPDIR)\build\win32\project\resource.rc
	$(WINDRES) $^ $(RFLAGS) -D _WINDOWS -D ZABBIX_AGENT2 -o $@

.FORCE:
$(TARGETBIN): $(OBJS) .FORCE
	set CGO_CFLAGS=$(CGO_CFLAGS)
	set CGO_LDFLAGS=$(CGO_LDFLAGS)
	set GOARCH=$(GOARCH)
	set CGO_ENABLED=1

	for /F "usebackq tokens=1,2 delims==" %%i in (`wmic os get LocalDateTime /VALUE 2^>NUL`) do if '.%%i.'=='.LocalDateTime.' set ldt=%%j
	set BUILD_DATE=%ldt:~0,4%-%ldt:~4,2%-%ldt:~6,2%
	set BUILD_TIME=%ldt:~8,2%:%ldt:~10,2%:%ldt:~12,2%

	set GOLDFLAGS=$(GOLDFLAGS) -X $(PKG).compileDate=%BUILD_DATE%
	set GOLDFLAGS=%GOLDFLAGS% -X $(PKG).compileTime=%BUILD_TIME%
	cd $(MODULEDIR)

	go build -tags "$(TAGS)" -ldflags="%GOLDFLAGS%" -o $(TARGETBIN) golang.zabbix.com/agent2/cmd/zabbix_agent2

clean:
	go clean -cache
	del $(TOPDIR)\include\common\config.h "$(TARGETBIN)" $(OUTPUTDIR)\*.o $(TARGETDIR)\*.syso 2>NUL

=== src/go/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/go/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/zabbix
pkgincludedir = $(includedir)/zabbix
pkglibdir = $(libdir)/zabbix
pkglibexecdir = $(libexecdir)/zabbix
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = bin/zabbix_agent2
#am__append_2 = install-bin/zabbix_agent2
#am__append_3 = conf/zabbix_agent2.conf
#am__append_4 = bin/zabbix_web_service
#am__append_5 = install-bin/zabbix_web_service
#am__append_6 = conf/zabbix_web_service.conf
subdir = src/go
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_lib_mysql.m4 \
	$(top_srcdir)/m4/ax_lib_oracle_oci.m4 \
	$(top_srcdir)/m4/ax_lib_postgresql.m4 \
	$(top_srcdir)/m4/ax_lib_sqlite3.m4 \
	$(top_srcdir)/m4/check_enum.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/ldap.m4 $(top_srcdir)/m4/libcurl.m4 \
	$(top_srcdir)/m4/libevent.m4 $(top_srcdir)/m4/libgnutls.m4 \
	$(top_srcdir)/m4/libmodbus.m4 $(top_srcdir)/m4/libopenssl.m4 \
	$(top_srcdir)/m4/libssh.m4 $(top_srcdir)/m4/libssh2.m4 \
	$(top_srcdir)/m4/libunixodbc.m4 $(top_srcdir)/m4/libxml2.m4 \
	$(top_srcdir)/m4/netsnmp.m4 $(top_srcdir)/m4/openipmi.m4 \
	$(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pcre2.m4 \
	$(top_srcdir)/m4/pthread.m4 $(top_srcdir)/m4/resolv.m4 \
	$(top_srcdir)/m4/times.m4 $(top_srcdir)/m4/zlib.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_sysconf_DATA_DIST) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/common/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__dist_sysconf_DATA_DIST = conf/zabbix_agent2.conf \
	conf/zabbix_web_service.conf
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(sysconfdir)"
DATA = $(dist_sysconf_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' aclocal-1.16
AGENT2_CONFIG_DIR = ${prefix}/etc/zabbix_agent2.d
AGENT2_CONFIG_FILE = ${prefix}/etc/zabbix_agent2.conf
AGENT2_LDFLAGS =    
AGENT2_LIBS =    
AGENT2_PLUGIN_CONFIG_DIR = ${prefix}/etc/zabbix_agent2.d/plugins.d
AGENT_CONFIG_FILE = ${prefix}/etc/zabbix_agentd.conf
AGENT_LDFLAGS =      
AGENT_LIBS =      
ALERT_SCRIPTS_PATH = ${datarootdir}/zabbix/alertscripts
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ARCH = linux
AUTOCONF = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' autoconf
AUTOHEADER = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' autoheader
AUTOMAKE = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' automake-1.16
AWK = mawk
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -O2
CGO_CFLAGS = 
CGO_LDFLAGS = 
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CURL_SSL_CERT_LOCATION = ${datarootdir}/zabbix/ssl/certs
CURL_SSL_KEY_LOCATION = ${datarootdir}/zabbix/ssl/keys
CYGPATH_W = echo
DB_CFLAGS = 
DB_LDFLAGS = 
DB_LIBS = 
DEFAULT_INCLUDES = -I$(top_srcdir)/include/common -I$(top_srcdir)/include
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
EXTERNAL_SCRIPTS_PATH = ${datarootdir}/zabbix/externalscripts
GNUTLS_CFLAGS = 
GNUTLS_LDFLAGS = 
GNUTLS_LIBS = 
GO = 
GREP = /usr/bin/grep
ICONV_CFLAGS = 
ICONV_LDFLAGS = 
ICONV_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = 
JAVAC = 
LDAP_CPPFLAGS = 
LDAP_LDFLAGS = 
LDAP_LIBS = 
LDFLAGS = -rdynamic  
LIBCURL_CFLAGS = 
LIBCURL_LDFLAGS = 
LIBCURL_LIBS = 
LIBEVENT_CFLAGS = 
LIBEVENT_LDFLAGS = 
LIBEVENT_LIBS = 
LIBMODBUS_CFLAGS = 
LIBMODBUS_LDFLAGS = 
LIBMODBUS_LIBS = 
LIBOBJS = 
LIBPCRE2_CFLAGS = 
LIBPCRE2_LDFLAGS = 
LIBPCRE2_LIBS = 
LIBPCRE_CFLAGS = 
LIBPCRE_LDFLAGS = 
LIBPCRE_LIBS = 
LIBPTHREAD_CFLAGS = 
LIBPTHREAD_LDFLAGS = 
LIBPTHREAD_LIBS = 
LIBS = -lpthread -lm   
LIBXML2_CFLAGS = 
LIBXML2_LDFLAGS = 
LIBXML2_LIBS = 
LIBXML2_VERSION = 
LOAD_MODULE_PATH = ${exec_prefix}/lib/modules
LTLIBOBJS = 
MAKEINFO = ${SHELL} '/home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/missing' makeinfo
MKDIR_P = /usr/bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_CONFIG = 
MYSQL_LDFLAGS = 
MYSQL_LIBS = 
MYSQL_VERSION = 
OBJEXT = o
ODBC_CONFIG = 
OPENIPMI_CFLAGS = 
OPENIPMI_LDFLAGS = 
OPENIPMI_LIBS = 
OPENSSL_CFLAGS = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = 
ORACLE_OCI_CFLAGS = 
ORACLE_OCI_LDFLAGS = 
ORACLE_OCI_LIBS = 
ORACLE_OCI_VERSION = 
PACKAGE = zabbix
PACKAGE_BUGREPORT = 
PACKAGE_NAME = Zabbix
PACKAGE_STRING = Zabbix 7.0.9
PACKAGE_TARNAME = zabbix
PACKAGE_URL = 
PACKAGE_VERSION = 7.0.9
PATH_SEPARATOR = :
PG_CONFIG = 
PKG_CONFIG = 
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSTGRESQL_CFLAGS = 
POSTGRESQL_LDFLAGS = 
POSTGRESQL_LIBS = 
POSTGRESQL_VERSION = 
PROXY_CONFIG_FILE = ${prefix}/etc/zabbix_proxy.conf
PROXY_LDFLAGS =      
PROXY_LIBS =      
RANLIB = ranlib
RESOLV_LIBS = 
SENDER_LDFLAGS =      
SENDER_LIBS =      
SERVER_CONFIG_FILE = ${prefix}/etc/zabbix_server.conf
SERVER_LDFLAGS =      
SERVER_LIBS =      
SET_MAKE = 
SHELL = /bin/bash
SNMP_CFLAGS = 
SNMP_LDFLAGS = 
SNMP_LIBS = 
SQLITE3_CPPFLAGS = 
SQLITE3_LDFLAGS = 
SQLITE3_LIBS = 
SQLITE3_VERSION = 
SSH2_CFLAGS = 
SSH2_LDFLAGS = 
SSH2_LIBS = 
SSH_CFLAGS = 
SSH_LDFLAGS = 
SSH_LIBS = 
STRIP = 
TLS_CFLAGS = 
TLS_LDFLAGS = 
TLS_LIBS = 
UNIXODBC_CFLAGS = 
UNIXODBC_LDFLAGS = 
UNIXODBC_LIBS = 
VERSION = 7.0.9
WEBSERVICE_CONFIG_FILE = ${prefix}/etc/zabbix_web_service.conf
ZBXGET_LDFLAGS =      
ZBXGET_LIBS =      
ZBXJS_LDFLAGS =   
ZBXJS_LIBS =     
ZLIB_CFLAGS = 
ZLIB_LDFLAGS = 
ZLIB_LIBS = 
_libcurl_config = no
_libnetsnmp_config = 
_libnetsnmp_config_bin = 
_libnetsnmp_config_root = 
abs_builddir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/src/go
abs_srcdir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/src/go
abs_top_builddir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9
abs_top_srcdir = /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9
ac_ct_CC = cc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jenkins/workspace/zabbix-release/03-zabbix-release/zabbix-7.0.9/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = .
BUILD_TIME = `date +%H:%M:%S`
BUILD_DATE = `date +"%b %_d %Y"`
GOOS = `go env GOOS`
GOARCH = `go env GOARCH`
PKG = golang.zabbix.com/agent2/pkg/version
NEW_FROM_REV = ""

=== debian/changelog ===
zabbix (1:7.0.9+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Feb 2025 17:05:25 +1100

zabbix (1:7.0.9+dfsg-1) unstable; urgency=medium

  [ Tobias Frost ]
  * Annotate changelog entries for 1:7.0.0+dfsg-1, 1:7.0.1+dfsg-1,
    1:7.0.5+dfsg-1 and 1:7.0.3+dfsg-1 with CVE information.
  * New patch for CVE-2024-36464 (Closes: #1090030).

  [ Dmitry Smirnov ]
  * New upstream release.
  * Updated agent2 config to set PID file location (Closes: #1093277).
    Thanks, Daniel Scharon.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Jan 2025 18:58:13 +1100

=== debian/control ===
Source: zabbix
Section: net
Priority: optional
Standards-Version: 4.6.2
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Christoph Haas <haas@debian.org>
Build-Depends: debhelper-compat (= 12), automake, dh-linktree, apache2-dev, dh-golang (>= 1.51~)
    ,golang-any (>= 2:1.21~)
    ,libcurl4-gnutls-dev
    ,libevent-dev
    ,libgnutls28-dev | gnutls-dev
    ,libiksemel-dev
    ,libldap2-dev
    ,libmodbus-dev
    ,default-libmysqlclient-dev
# libopenipmi-dev is not available on some architectures
    ,libopenipmi-dev [!hurd-any !arm]
    ,libpcre2-dev
    ,libpq-dev
    ,libsnmp-dev
    ,libsqlite3-dev
    ,libssh2-1-dev
    ,libxml2-dev
    ,pkgconf | pkg-config
    ,unixodbc-dev
    ,zlib1g-dev
## dh-linktree:
    ,fonts-dejavu-core
    ,libjs-jquery-ui (>= 1.12.1~)
#   ,libjs-jquery (>= 3.6.0~)
## java-gateway deps:
    ,javahelper
## agent2 and web_service deps:
    ,libssl-dev
    ,golang-dbus-dev
    ,golang-github-burntsushi-locker-dev
#   ,golang-github-chromedp-sysutil-dev
    ,golang-github-eclipse-paho.mqtt.golang-dev
    ,golang-github-goburrow-modbus-dev
    ,golang-github-go-ldap-ldap-dev
    ,golang-github-go-logfmt-logfmt-dev
    ,golang-github-go-logr-logr-dev
    ,golang-github-go-sql-driver-mysql-dev
    ,golang-github-mailru-easyjson-dev
    ,golang-github-mattn-go-sqlite3-dev
    ,golang-github-miekg-dns-dev
    ,golang-golang-x-xerrors-dev
    ,golang-google-protobuf-dev
    ,golang-gopkg-mgo.v2-dev
Build-Depends-Indep: default-jdk-headless
    ,libandroid-json-java
    ,liblogback-java
    ,libslf4j-java
    ,junit4
## ui/locale/*.sh:
    ,gettext
## ui/styles/*.css:
    ,ruby-sass
Homepage: http://zabbix.com
Vcs-Browser: https://salsa.debian.org/debian/zabbix
Vcs-Git: https://salsa.debian.org/debian/zabbix.git
Rules-Requires-Root: no

Package: zabbix-agent
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, adduser, sysvinit-utils (>= 3.05-4~)
        ,pciutils
Recommends: usbutils, zabbix-sender
Suggests: logrotate
Description: network monitoring solution - agent
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor a host using a
 Zabbix agent.

Package: zabbix-agent2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sysvinit-utils (>= 3.05-4~)
Suggests: logrotate
Built-Using: ${misc:Built-Using}
Description: Zabbix network monitoring solution - agent2
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor a host using a
 Zabbix agent2.

Package: zabbix-sender
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: zabbix-agent (<< 1:7.0.0)
Replaces: zabbix-agent (<< 1:7.0.0)
Description: Zabbix network monitoring solution - sender
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the command line utility needed to send data to
 Zabbix server or Zabbix proxy.

Package: zabbix-web-service
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, sysvinit-utils (>= 3.05-4~)
Recommends: ${misc:Recommends}
    ,chromium
Suggests: logrotate
Built-Using: ${misc:Built-Using}
Description: Zabbix network monitoring solution - web-service
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides web servce for performing various tasks using
 headless web browser.

Package: zabbix-frontend-php
Architecture: all
Depends: ${misc:Depends}, ucf
    ,php
    ,php-bcmath
    ,php-gd
    ,php-mbstring
    ,php-xml
    ,php-pgsql | php-mysql | php-sqlite3
    ,fonts-dejavu-core
Recommends: ${misc:Recommends}
    ,php-curl
    ,php-ldap
    ,libapache2-mod-php | php-fpm
    ,php-php-gettext
Description: network monitoring solution - PHP front-end
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides a web-browsable front-end to the Zabbix server, which
 can display graphs of the data collected from clients.

Package: zabbix-java-gateway
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${java:Depends}, ${misc:Depends}, adduser, sysvinit-utils (>= 3.05-4~)
Recommends: ${java:Recommends}
Description: network monitoring solution - Java gateway
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to monitor Java applications
 using a Zabbix Java gateway. It collects information from JMX agent.

Package: zabbix-proxy-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, sysvinit-utils (>= 3.05-4~)
Recommends: default-mysql-server | virtual-mysql-server
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
Description: network monitoring solution - proxy (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a MySQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, sysvinit-utils (>= 3.05-4~)
Recommends: postgresql
Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
Suggests: logrotate
Description: network monitoring solution - proxy (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in a PostgreSQL database and then passes it to a Zabbix server.

Package: zabbix-proxy-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, sysvinit-utils (>= 3.05-4~), sqlite3
Suggests: logrotate
Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql
Description: network monitoring solution - proxy (using SQLite3)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 proxy. It collects information from Zabbix agents, temporarily stores it
 in an SQLite3 database and then passes it to a Zabbix server.

Package: zabbix-server-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, sysvinit-utils (>= 3.05-4~)
Recommends: default-mysql-server | virtual-mysql-server, snmpd
           ,nmap
           ,traceroute
Suggests: zabbix-frontend-php, logrotate, sudo
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using MySQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 MySQL database.

Package: zabbix-server-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, sysvinit-utils (>= 3.05-4~)
Recommends: postgresql, snmpd
           ,nmap
           ,traceroute
Suggests: zabbix-frontend-php, logrotate, sudo
# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
         ,snmp-mibs-downloader
Conflicts: zabbix-server-mysql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
Description: network monitoring solution - server (using PostgreSQL)
 Zabbix is a server/client network monitoring system with many features.
 It can be used for:
 .
  - high level monitoring of IT services;
  - centralized monitoring of your servers and applications;
  - monitoring of SNMP-enabled devices;
  - performance monitoring (process load, network activity, disk
    activity, memory usage, OS parameters etc.);
  - data visualization.
 .
 This package provides the software needed to integrate a host as a Zabbix
 client. It collects information from Zabbix clients and stores it in a
 PostgreSQL database.
